Subject: Re: [ietf-dkim] [Editorial Errata Reported] RFC6376 (4287)

From: Barry Leiba <[email-masked]>
Date: Wed, 4 Mar 2015 21:43:40 +0100

This report is correct.  The reference to the ASN.1 encoding
mechanisms document, which should be "ITU-X690-1997", was introduced
in draft-ietf-dkim-base-04 (which later became RFC 4871, which was
later replaced by RFC 6376), and the 660-vs-690 typo was in there at
the time.  I guess no one checked the reference and found the error.

Barry, former DKIM working group chair

On Wed, Mar 4, 2015 at 7:41 PM, RFC Errata System
<[email-masked]> wrote:
> The following errata report has been submitted for RFC6376,
> "DomainKeys Identified Mail (DKIM) Signatures".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=6376&eid=4287
>
> --------------------------------------
> Type: Editorial
> Reported by: Phil Griffin (via DCrocker) <[email-masked]>
>
> Section: 3.6.1
>
> Original Text
> -------------
>    k= Key type (plain-text; OPTIONAL, default is "rsa").  Signers and
>       Verifiers MUST support the "rsa" key type.  The "rsa" key type
>       indicates that an ASN.1 DER-encoded [ITU-X660-1997] RSAPublicKey
>       (see [RFC3447], Sections 3.1 and A.1.1) is being used in the "p="
>       tag.  (Note: the "p=" tag further encodes the value using the
>       base64 algorithm.)  Unrecognized key types MUST be ignored.
>
> and
>
>    [ITU-X660-1997]
>               "Information Technology - ASN.1 encoding rules:
>               Specification of Basic Encoding Rules (BER), Canonical
>               Encoding Rules (CER) and Distinguished Encoding Rules
>               (DER)", 1997.
>
> Corrected Text
> --------------
> { not sure.  take from:
>
>      http://en.wikipedia.org/wiki/X.690
>
> or the like.  /d }
>
> Notes
> -----
> Phil's note:  "The reference to X.660 should be to the DER standard, X.690. "
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC6376 (draft-ietf-dkim-rfc4871bis-15)
> --------------------------------------
> Title               : DomainKeys Identified Mail (DKIM) Signatures
> Publication Date    : September 2011
> Author(s)           : D. Crocker, Ed., T. Hansen, Ed., M. Kucherawy, Ed.
> Category            : DRAFT STANDARD
> Source              : Domain Keys Identified Mail
> Area                : Security
> Stream              : IETF
> Verifying Party     : IESG
>
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html